package com.fq.channel.sdk.base.utils;

import android.util.Log;

import com.fq.channel.sdk.base.constants.FqConfig;

/**
 * @Description: 日志工具类
 * @Author: FLuty
 * @CreateDate: 2020/4/2 17:24
 */
public class FqLog {
    private static final String TAG = "FGLOG--";

    public static void i(String tag, CharSequence c) {
        if (FqConfig.DEBUG_VERSION && c != null) {
            Log.i(TAG + tag, c.toString());
        }
    }

    public static void i(String tag, Character c) {
        if (FqConfig.DEBUG_VERSION && c != null) {
            Log.i(TAG + tag, c.toString());
        }
    }

    public static void i(String tag, boolean c) {
        if (FqConfig.DEBUG_VERSION) {
            Log.i(TAG + tag, "" + c);
        }
    }

    public static void i(String tag, char c) {
        if (FqConfig.DEBUG_VERSION) {
            Log.i(TAG + tag, "" + c);
        }
    }

    public static void i(String tag, byte[] b) {
        if (FqConfig.DEBUG_VERSION && b != null) {
            Log.i(TAG + tag, new String(b));
        }
    }

    public static void i(String tag, int c) {
        if (FqConfig.DEBUG_VERSION) {
            Log.i(TAG + tag, "" + c);
        }
    }

    public static void d(String tag, CharSequence c) {
        if (FqConfig.DEBUG_VERSION && c != null) {
            Log.d(TAG + tag, c.toString());
        }
    }

    public static void d(String tag, Character c) {
        if (FqConfig.DEBUG_VERSION && c != null) {
            Log.d(TAG + tag, c.toString());
        }
    }

    public static void d(String tag, boolean c) {
        if (FqConfig.DEBUG_VERSION) {
            Log.d(TAG + tag, "" + c);
        }
    }

    public static void d(String tag, char c) {
        if (FqConfig.DEBUG_VERSION) {
            Log.d(tag, "" + c);
        }
    }

    public static void d(String tag, byte[] b) {
        if (FqConfig.DEBUG_VERSION && b != null) {
            Log.d(TAG + tag, new String(b));
        }
    }

    public static void d(String tag, int c) {
        if (FqConfig.DEBUG_VERSION) {
            Log.d(TAG + tag, "" + c);
        }
    }

    public static void w(String tag, CharSequence c) {
        if (FqConfig.DEBUG_VERSION && c != null) {
            Log.w(TAG + tag, c.toString());
        }
    }

    public static void w(String tag, Character c) {
        if (FqConfig.DEBUG_VERSION && c != null) {
            Log.w(TAG + tag, c.toString());
        }
    }

    public static void w(String tag, boolean c) {
        if (FqConfig.DEBUG_VERSION) {
            Log.w(TAG + tag, "" + c);
        }
    }

    public static void w(String tag, char c) {
        if (FqConfig.DEBUG_VERSION) {
            Log.w(tag, "" + c);
        }
    }

    public static void w(String tag, byte[] b) {
        if (FqConfig.DEBUG_VERSION && b != null) {
            Log.w(TAG + tag, new String(b));
        }
    }

    public static void w(String tag, int c) {
        if (FqConfig.DEBUG_VERSION) {
            Log.w(tag, "" + c);
        }
    }

    public static void e(String tag, Character c) {
        if (FqConfig.DEBUG_VERSION && c != null) {
            Log.e(TAG + tag, c.toString());
        }
    }

    public static void e(String tag, CharSequence c) {
        if (FqConfig.DEBUG_VERSION && c != null) {
            Log.e(TAG + tag, c.toString());
        }
    }

    public static void e(String tag, boolean c) {
        if (FqConfig.DEBUG_VERSION) {
            Log.e(TAG + tag, "" + c);
        }
    }

    public static void e(String tag, char c) {
        if (FqConfig.DEBUG_VERSION) {
            Log.e(TAG + tag, "" + c);
        }
    }

    public static void e(String tag, byte[] b) {
        if (FqConfig.DEBUG_VERSION && b != null) {
            Log.e(TAG + tag, new String(b));
        }
    }

    public static void e(String tag, int c) {
        if (FqConfig.DEBUG_VERSION) {
            Log.e(TAG + tag, "" + c);
        }
    }

    public static void e(String tag, String msg, Throwable tr) {
        if (FqConfig.DEBUG_VERSION && msg != null) {
            Log.e(TAG + tag, msg, tr);
        }
    }

    public static void printStackTrace(Exception e) {
        if (FqConfig.DEBUG_VERSION && e != null) {
            e.printStackTrace();
        }
    }
}
